textures/common/nosave
{
	qer_nocarve
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm clusterportal
}

textures/cheesecake/glass1
{
	qer_editorimage textures/cheesecake/glass1.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/cheesecake/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/cheesecake/water2_1
{
    qer_editorimage textures/cheesecake/water2_1.tga
    surfaceparm water
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nonsolid
	cull none
    q3map_surfacelight 60
	
    {
        map textures/cheesecake/water2_1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll 0.1 0.2
    }
    {
        map textures/cheesecake/water2_1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll -0.2 0.02
    }
    {
        map $lightmap
        blendFunc filter
        rgbGen identity
    }
}

textures/cheesecake/plasma
{
    qer_editorimage textures/cheesecake/plasma.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nonsolid
	cull none
    q3map_surfacelight 60
	
    {
        map textures/cheesecake/plasma.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll 0.1 0.5
    }
    {
        map textures/cheesecake/plasma.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll -0.2 0.4
    }
    {
        map $lightmap
        blendFunc filter
        rgbGen identity
    }
}

textures/cheesecake/wetfloor
{
    qer_editorimage textures/cheesecake/wet2.tga
    surfaceparm slick
	surfaceparm trans
	
	{
        map textures/effects/envmap_radar.tga
        rgbGen identity
        tcMod scale 0.5 0.5
        tcGen environment
    }
    {
        map textures/liquids_sd/puddle_specular.tga
        rgbGen identity
        tcMod scale 2 2
        blendFunc GL_SRC_ALPHA GL_ONE
        tcGen environment
    }
    {
        map textures/cheesecake/wet2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}	


textures/cheesecake/poison
{
    qer_editorimage textures/cheesecake/poison.tga
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip
    {
        map textures/cheesecake/poison.tga
        blendfunc add
    }
}

textures/cheesecake/VOB
{
    qer_editorimage textures/cheesecake/VOB.tga
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip
    {
        map textures/cheesecake/VOB.tga
        blendfunc add
    }
}

textures/cheesecake/saveicon
{
    qer_editorimage textures/cheesecake/saveicon.tga
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip
    {
        map textures/cheesecake/saveicon.tga
        blendfunc add
    }
}